ORA-39142: incompatible version number 4.2 in dump file

ORA-39142: incompatible version number 4.2 in dump file

Error
During import in Oracle 12.1 operation, we are getting the following error:

Connected to: Oracle Database 12c Enterprise Edition Release 12.1.0.2.0 - 64bit Production
ORA-39001: invalid argument value
ORA-39000: bad dump file specification
ORA-39142: incompatible version number 4.2 in dump file "/dumpfile.dmp"

Cause
Both the source and target database is having same version 12.1 but the patches applied on them is different.
Source database is on latest patch and target is not having any patch applied.

For check the Dump file version follow the link:
Check Version of EXPDP Dump file

Solution
We can solve this problem with following two solution:

1. Applied the latest patch on target database also. So that both are on same version which will fixed the issue.

2. Take expdp backup with VERSION=12.1

EXPDP ....................... VERSION=12.1

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s

This site uses Akismet to reduce spam. Learn how your comment data is processed.